QGIS Application - Bug report #7764

composer: search directories filter/dropdown (to add images) does not work

2013-05-04 02:43 AM - Giovanni Manghi

Status: Closed
Priority: Normal
Assignee:
Category:

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution:

Copied to github as #: 16663

Description

it shows always all the symbols, regardless the directory that is selected.

I would also suggest to use aliases (or just the name of the folder) instead of the entire path for the symbols installed by default. This

already happens in the symbology dialogs.

Tested on the latest master on Ubuntu.

PS
many symbols have disappeared too

Subtasks:
Feature request # 8257: Add new SVG/Image selector to composer

Open

Associated revisions

Revision f5632b68 - 2013-07-11 02:01 AM - Nathan Woodrow

Add label for composer picture search paths. Fix #7764

History

#1 - 2013-05-06 10:54 AM - Larry Shaffer

Hi Giovanni,

That QComboBox is not a filter (though many users probably think so - | did). It is a means of selecting a given directory to take action upon, e.g.

adding/removing it from the SVG search directories list. | believe that Composer SVG selector was made before the new one in symbology. Also, it uses a

different, additional set of search directories than the other SVG selectors, which should combined at the base SVG search paths, not just in Composer.

There is also an issue with those symbols loading multiple times on an initial Composer launch ( see issue #7458 ). | have pulled the symbology class's

SVG picker out into its own class, and just yesterday turned it into a standalone SVG selector. That selector dialog can be used to fix this issue and the

related one.

| should be adding the use of the new selector this week.

#2 - 2013-05-23 11:59 AM - Giovanni Manghi

| should be adding the use of the new selector this week.
Hi Larry, the new selector has not yet been added yet, correct? just checking. Cheers!

#3 - 2013-05-23 12:00 PM - Larry Shaffer

Correct, it has not been. Going to do that right after what | am working on.

#4 - 2013-07-10 05:02 PM - Anonymous
- Status changed from Open to Closed

Fixed in changeset commit:"f5632b68fd124e0d8d9428b038bb03e7290b3d3a".

#5 - 2013-07-10 05:04 PM - Nathan Woodrow

This has been "fixed" by adding a label to indicate that it isn't a filter. The correct solution is to use the new SVG selector that Larry has worked on

however some changes still need to be made to that in order to make it work with the composer and will be postponed until 2.1.
